package com.tencent.mm.plugin.appbrand.jsapi.version;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.config.AppBrandInitConfigWC;

final class JsApiUpdateApp$SyncResult implements Parcelable {
    public static final Creator<JsApiUpdateApp$SyncResult> CREATOR = new 1();
    private AppBrandInitConfigWC hYb;
    private boolean hYd;

    JsApiUpdateApp$SyncResult(boolean z, AppBrandInitConfigWC appBrandInitConfigWC) {
        this.hYd = z;
        this.hYb = appBrandInitConfigWC;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        byte b;
        AppMethodBeat.i(131493);
        if (this.hYd) {
            b = (byte) 1;
        } else {
            b = (byte) 0;
        }
        parcel.writeByte(b);
        parcel.writeParcelable(this.hYb, 0);
        AppMethodBeat.o(131493);
    }

    JsApiUpdateApp$SyncResult(Parcel parcel) {
        AppMethodBeat.i(131494);
        this.hYd = parcel.readByte() != (byte) 0;
        this.hYb = (AppBrandInitConfigWC) parcel.readParcelable(AppBrandInitConfigWC.class.getClassLoader());
        AppMethodBeat.o(131494);
    }

    static {
        AppMethodBeat.i(131495);
        AppMethodBeat.o(131495);
    }
}
